Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/bl_for_dms.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/bl_for_dms.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/bl_for_dms.f90	(revision 5113)
@@ -39,5 +39,5 @@
   PARAMETER (vk = 0.35)
   REAL :: beta  ! coefficient d'evaporation reelle (/evapotranspiration)
-  ! ! entre 0 et 1, mais 1 au-dessus de la mer
+  ! entre 0 et 1, mais 1 au-dessus de la mer
   PARAMETER (beta = 1.)
   INTEGER :: i, k
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc_new.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc_new.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc_new.f90	(revision 5113)
@@ -72,6 +72,6 @@
       CALL exit(1)
     ENDIF
-    ! !print *,'lmt_bcff = ',lmt_bcff
-    ! !stop
+    !print *,'lmt_bcff = ',lmt_bcff
+    !stop
 
     ! BC emissions from non fossil fuel combustion
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/dustemission_mod.F90	(revision 5113)
@@ -1374,5 +1374,5 @@
 
 SUBROUTINE def_copyncl(kfin)
-      implicit none
+      IMPLICIT NONE
 
  integer i,n,kfin,ideb,ifin,istep,kfin2
@@ -1427,5 +1427,5 @@
 !c---------------------------------------------------------------
 
-      implicit none
+      IMPLICIT NONE
       integer i1,i2,nclass,iout,ismin,ismax,k2,ihalf,idiff
       real siz(nclass),ds
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/inscav_spl.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/inscav_spl.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/inscav_spl.f90	(revision 5113)
@@ -123,5 +123,5 @@
         beta = MIN(MAX(0.0, -beta), 1.0)
       ELSE                          !--reevaporation non totale pour aerosols
-        ! !print *,'FRAC USED IN INSCAV_SPL'
+        !print *,'FRAC USED IN INSCAV_SPL'
         beta = MIN(MAX(0.0, -beta) * frac, 1.0)
       ENDIF
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_newemissions.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_newemissions.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/read_newemissions.f90	(revision 5113)
@@ -120,5 +120,5 @@
   !  REAL dayemintime ! time in hours of the other emissions input files resolution
   REAL :: jH_init ! shift in the hour (count as days) respecto to
-  ! ! realhour = (pdtphys*i)/3600/24 -days_elapsed
+  ! realhour = (pdtphys*i)/3600/24 -days_elapsed
   REAL :: jH_emi, jH_vent, jH_day
   SAVE jH_init, jH_vent, jH_day
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/sediment_mod.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/sediment_mod.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/sediment_mod.f90	(revision 5113)
@@ -153,6 +153,6 @@
         v_dep_ss(i, k) = v_sed
         sed_flux(i, k) = tr_seri(i, k, id_coss) * v_sed !g/cm3*m/sec
-        ! !sed_ss3D(i,k)= -sed_flux(i,k)/zdz(i,k)      !g/cm3*sec !!!!!!!
-        ! ! conc_sed_ss3D(i,k)=sed_flux(i,k)*1.e6      !g/m3*sec !!!!!!!
+        !sed_ss3D(i,k)= -sed_flux(i,k)/zdz(i,k)      !g/cm3*sec !!!!!!!
+        ! conc_sed_ss3D(i,k)=sed_flux(i,k)*1.e6      !g/m3*sec !!!!!!!
         !
       ENDDO          !klon
@@ -221,5 +221,5 @@
         v_dep_dust(i, k) = v_sed
         sed_flux(i, k) = tr_seri(i, k, id_codu) * v_sed !g/cm3.m/sec
-        ! !sed_dust3D(i,k)= -sed_flux(i,k)/zdz(i,k)      !g/cm3*sec !!!!!!!
+        !sed_dust3D(i,k)= -sed_flux(i,k)/zdz(i,k)      !g/cm3*sec !!!!!!!
         !
       ENDDO          !klon
@@ -288,5 +288,5 @@
         v_dep_dustsco(i, k) = v_sed
         sed_flux(i, k) = tr_seri(i, k, id_scdu) * v_sed !g/cm3.m/sec
-        ! !sed_dustsco3D(i,k)= -sed_flux(i,k)/zdz(i,k)      !g/cm3*sec !!!!!!!
+        !sed_dustsco3D(i,k)= -sed_flux(i,k)/zdz(i,k)      !g/cm3*sec !!!!!!!
         !
       ENDDO          !klon
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/bulk_flux_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/bulk_flux_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/bulk_flux_m.F90	(revision 5113)
@@ -1,5 +1,5 @@
 module bulk_flux_m
 
-  implicit none
+  IMPLICIT NONE
 
 contains
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/config_ocean_skin_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/config_ocean_skin_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/config_ocean_skin_m.F90	(revision 5113)
@@ -1,5 +1,5 @@
 module config_ocean_skin_m
 
-  implicit none
+  IMPLICIT NONE
 
   logical, protected:: jcool ! cool skin calculation
@@ -31,5 +31,5 @@
 #ifdef IN_LMDZ
     use lmdz_ioipsl_getin_p, only: getin_p
-    use assert_m, only: assert
+    use lmdz_assert, only: assert
 #endif
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/const.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/const.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/const.F90	(revision 5113)
@@ -1,5 +1,5 @@
 module const
 
-  implicit none
+  IMPLICIT NONE
 
   real, parameter :: beta = 0.756 / 1023.343
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/esat_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/esat_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/esat_m.F90	(revision 5113)
@@ -1,5 +1,5 @@
 module esat_m
 
-  implicit none
+  IMPLICIT NONE
 
 contains
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/fv_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/fv_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/fv_m.F90	(revision 5113)
@@ -1,5 +1,5 @@
 module fv_m
 
-  implicit none
+  IMPLICIT NONE
 
 contains
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/mom_flux_rain_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/mom_flux_rain_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/mom_flux_rain_m.F90	(revision 5113)
@@ -1,5 +1,5 @@
 module mom_flux_rain_m
 
-  implicit none
+  IMPLICIT NONE
 
 contains
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/phiw_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/phiw_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/phiw_m.F90	(revision 5113)
@@ -1,5 +1,5 @@
 module Phiw_m
 
-  implicit none
+  IMPLICIT NONE
 
 contains
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/sens_heat_rain_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/sens_heat_rain_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/sens_heat_rain_m.F90	(revision 5113)
@@ -1,5 +1,5 @@
 module sens_heat_rain_m
 
-  implicit none
+  IMPLICIT NONE
 
 contains
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/therm_expans_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/therm_expans_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/therm_expans_m.F90	(revision 5113)
@@ -1,5 +1,5 @@
 module therm_expans_m
 
-  implicit none
+  IMPLICIT NONE
 
 contains
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90	(revision 5113)
@@ -773,5 +773,5 @@
 !     and Noppel et al. (1990)
 
-      implicit none
+      IMPLICIT NONE
       real, intent(in) :: T
       real, parameter ::      &
@@ -792,5 +792,5 @@
 !     equilibrium H2SO4 number density over pure H2SO4 (molec/cm3)
 
-      implicit none
+      IMPLICIT NONE
       real, intent(in) :: T
       real :: presat
@@ -811,5 +811,5 @@
 !     equilibrium H2O pressure over pure liquid water (Pa)
 
-      implicit none
+      IMPLICIT NONE
       real, intent(in) :: T
 
@@ -841,5 +841,5 @@
 !---->Vehkamaeki et al. (2002)
 
-      implicit none
+      IMPLICIT NONE
       real, intent(in) :: T, so4mfrac
       real, parameter :: &
@@ -891,5 +891,5 @@
 !---->Vehkamaeki et al. (2002)
 
-      implicit none
+      IMPLICIT NONE
       real,intent(in) :: T, so4frac
       real :: a,b,so4mfrac,so4m2,so4m3,so4m4,so4m5,so4sig
@@ -941,5 +941,5 @@
 !                     = h2so4 mass fraction*100.
 
-      implicit none
+      IMPLICIT NONE
       real, intent(in) :: pph2o, T 
       
@@ -1004,5 +1004,5 @@
 !     equilibrium h2so4 number density over H2SO4/H2O solution (molec/cm3)
 
-      implicit none
+      IMPLICIT NONE
       real, intent(in) :: T, xa       ! T(K)  xa(H2SO4 mass fraction)
       
@@ -1026,5 +1026,5 @@
 !     partial molar volume of h2so4 in h2so4/h2o solution (cm3/mole)
 
-      implicit none
+      IMPLICIT NONE
       real, intent(in) :: T, ws
       real, dimension(22),parameter :: x=(/  &
@@ -1049,5 +1049,5 @@
 !     molar volume of pure h2o (cm3/mole)
 
-       implicit none
+       IMPLICIT NONE
        real, intent(in) :: T 
        real, parameter :: x1=2.393284E-02,x2=-4.359335E-05,x3=7.961181E-08
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/acama_gwd_rando_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/acama_gwd_rando_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/acama_gwd_rando_m.F90	(revision 5113)
@@ -4,5 +4,5 @@
 module ACAMA_GWD_rando_m
 
-  implicit none
+  IMPLICIT NONE
 
 contains
@@ -22,5 +22,5 @@
 !  ONLINE:
     use dimphy, only: klon, klev
-    use assert_m, only: assert
+    use lmdz_assert, only: assert
     USE lmdz_ioipsl_getin_p, ONLY: getin_p
     USE lmdz_vertical_layers, ONLY: presnivs
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/calbeta_clim.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/calbeta_clim.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/calbeta_clim.F90	(revision 5113)
@@ -15,5 +15,5 @@
   USE lmdz_print_control, ONLY: prt_level
 
-  implicit none
+  IMPLICIT NONE
   integer klon,nt,j,it
   real logbeta(klon),pi
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/calltherm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/calltherm.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/calltherm.F90	(revision 5113)
@@ -42,5 +42,5 @@
 #endif
 
-      implicit none
+      IMPLICIT NONE
       include "clesphys.h"
       include "thermcell_old.h"
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/coare30_flux_cnrm_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/coare30_flux_cnrm_mod.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/coare30_flux_cnrm_mod.F90	(revision 5113)
@@ -6,6 +6,6 @@
 
 module coare30_flux_cnrm_mod
-  implicit none
-  private
+  IMPLICIT NONE
+  PRIVATE
   public COARE30_FLUX_CNRM
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/coare_cp_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/coare_cp_mod.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/coare_cp_mod.F90	(revision 5113)
@@ -1,5 +1,5 @@
 module coare_cp_mod
-  implicit none
-  private
+  IMPLICIT NONE
+  PRIVATE
   public psit_30, psiuo, coare_cp
 
@@ -7,5 +7,5 @@
 
   real function psit_30(zet)
-    implicit none
+    IMPLICIT NONE
     real, intent(in) :: zet
 
@@ -27,5 +27,5 @@
 
   real function psiuo(zet)
-    implicit none
+    IMPLICIT NONE
     real, intent(in) :: zet
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/conccm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/conccm.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/conccm.F90	(revision 5113)
@@ -259,5 +259,5 @@
   REAL shprme ! intermediate specific humidity pert.
   REAL qsattp ! saturation mixing ratio for
-  ! !  thermally perturbed PBL parcels
+  !  thermally perturbed PBL parcels
   REAL dz ! local layer depth
   REAL b1 ! bouyancy measure in detrainment lvl
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/convect3.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/convect3.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/convect3.F90	(revision 5113)
@@ -234,5 +234,5 @@
 
   nopt = 0
-  ! !      NOPT=1 ! sbl
+  !      NOPT=1 ! sbl
 
   ! ***            PERFORM DRY ADIABATIC ADJUSTMENT            ***
@@ -303,6 +303,6 @@
       fv2(i) = (v(i)-v1(i))/delt ! sbl
 
-      ! !            T1(I)=T(I)      ! commente sbl
-      ! !            R1(I)=RR(I)     ! commente sbl
+      !            T1(I)=T(I)      ! commente sbl
+      !            R1(I)=RR(I)     ! commente sbl
     END DO
   END IF
@@ -1313,5 +1313,5 @@
   ! *** Diagnose the in-cloud mixing ratio   ***              ! cld
   ! ***           of condensed water         ***              ! cld
-  ! ! cld
+  ! cld
   DO i = 1, nd ! cld
     maa(i) = 0.0 ! cld
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/create_limit_unstruct_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/create_limit_unstruct_mod.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/create_limit_unstruct_mod.F90	(revision 5113)
@@ -179,7 +179,6 @@
   
   SUBROUTINE time_interpolation(ndays,field_in,calendar,field_out)
-  USE pchsp_95_m, only: pchsp_95
-  USE pchfe_95_m, only: pchfe_95
-  USE arth_m, only: arth
+  USE lmdz_libmath_pch, only: pchsp_95, pchfe_95
+  USE lmdz_arth, only: arth
   USE dimphy, ONLY: klon
   USE ioipsl,             ONLY: ioget_year_len
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv30_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv30_routines.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv30_routines.F90	(revision 5113)
@@ -331,5 +331,5 @@
   icbmax = 2
   DO i = 1, len
-    ! !        icbmax=max(icbmax,icb(i))
+    !        icbmax=max(icbmax,icb(i))
     IF (iflag(i)<7) icbmax = max(icbmax, icb(i)) ! sb Jun7th02
   END DO
@@ -420,5 +420,5 @@
 
   ! Re-compute icbsmax (icbsmax2):        !convect3
-  ! !convect3
+  !convect3
   icbsmax2 = 2 !convect3
   DO i = 1, len !convect3
@@ -1277,18 +1277,18 @@
   END DO
 
-  ! !      if(inb.lt.(nl-1))then
-  ! !         do 85 i=inb+1,nl-1
-  ! !            sig(i)=beta*sig(i)+2.*alpha*buoy(inb)*
-  ! !     1              abs(buoy(inb))
-  ! !            sig(i)=amax1(sig(i),0.0)
-  ! !            w0(i)=beta*w0(i)
-  ! !   85    continue
-  ! !      end if
-
-  ! !      do 87 i=1,icb
-  ! !         sig(i)=beta*sig(i)-2.*alpha*buoy(icb)*buoy(icb)
-  ! !         sig(i)=amax1(sig(i),0.0)
-  ! !         w0(i)=beta*w0(i)
-  ! !   87 continue
+  !      if(inb.lt.(nl-1))then
+  !         do 85 i=inb+1,nl-1
+  !            sig(i)=beta*sig(i)+2.*alpha*buoy(inb)*
+  !     1              abs(buoy(inb))
+  !            sig(i)=amax1(sig(i),0.0)
+  !            w0(i)=beta*w0(i)
+  !   85    continue
+  !      end if
+
+  !      do 87 i=1,icb
+  !         sig(i)=beta*sig(i)-2.*alpha*buoy(icb)*buoy(icb)
+  !         sig(i)=amax1(sig(i),0.0)
+  !         w0(i)=beta*w0(i)
+  !   87 continue
 
   ! -------------------------------------------------------------
@@ -1373,31 +1373,31 @@
 
 
-  ! !      cape=0.0
-  ! !      do 98 i=icb+1,inb
-  ! !         deltap = min(pbase,ph(i-1))-min(pbase,ph(i))
-  ! !         cape=cape+rrd*buoy(i-1)*deltap/p(i-1)
-  ! !         dcape=rrd*buoy(i-1)*deltap/p(i-1)
-  ! !         dlnp=deltap/p(i-1)
-  ! !         cape=amax1(0.0,cape)
-  ! !         sigold=sig(i)
-
-  ! !         dtmin=100.0
-  ! !         do 97 j=icb,i-1
-  ! !            dtmin=amin1(dtmin,buoy(j))
-  ! !   97    continue
-
-  ! !         sig(i)=beta*sig(i)+alpha*dtmin*abs(dtmin)
-  ! !         sig(i)=amax1(sig(i),0.0)
-  ! !         sig(i)=amin1(sig(i),0.01)
-  ! !         fac=amin1(((dtcrit-dtmin)/dtcrit),1.0)
-  ! !         w=(1.-beta)*fac*sqrt(cape)+beta*w0(i)
-  ! !         amu=0.5*(sig(i)+sigold)*w
-  ! !         m(i)=amu*0.007*p(i)*(ph(i)-ph(i+1))/tv(i)
-  ! !         w0(i)=w
-  ! !   98 continue
-  ! !      w0(icb)=0.5*w0(icb+1)
-  ! !      m(icb)=0.5*m(icb+1)*(ph(icb)-ph(icb+1))/(ph(icb+1)-ph(icb+2))
-  ! !      sig(icb)=sig(icb+1)
-  ! !      sig(icb-1)=sig(icb)
+  !      cape=0.0
+  !      do 98 i=icb+1,inb
+  !         deltap = min(pbase,ph(i-1))-min(pbase,ph(i))
+  !         cape=cape+rrd*buoy(i-1)*deltap/p(i-1)
+  !         dcape=rrd*buoy(i-1)*deltap/p(i-1)
+  !         dlnp=deltap/p(i-1)
+  !         cape=amax1(0.0,cape)
+  !         sigold=sig(i)
+
+  !         dtmin=100.0
+  !         do 97 j=icb,i-1
+  !            dtmin=amin1(dtmin,buoy(j))
+  !   97    continue
+
+  !         sig(i)=beta*sig(i)+alpha*dtmin*abs(dtmin)
+  !         sig(i)=amax1(sig(i),0.0)
+  !         sig(i)=amin1(sig(i),0.01)
+  !         fac=amin1(((dtcrit-dtmin)/dtcrit),1.0)
+  !         w=(1.-beta)*fac*sqrt(cape)+beta*w0(i)
+  !         amu=0.5*(sig(i)+sigold)*w
+  !         m(i)=amu*0.007*p(i)*(ph(i)-ph(i+1))/tv(i)
+  !         w0(i)=w
+  !   98 continue
+  !      w0(icb)=0.5*w0(icb+1)
+  !      m(icb)=0.5*m(icb+1)*(ph(icb)-ph(icb+1))/(ph(icb+1)-ph(icb+2))
+  !      sig(icb)=sig(icb+1)
+  !      sig(icb-1)=sig(icb)
 
 END SUBROUTINE cv30_closure
@@ -1872,5 +1872,5 @@
   ! enddo
   ! enddo
-  ! ! RomP >>>
+  ! RomP >>>
   DO i = 1, nd
     DO il = 1, ncum
@@ -1879,5 +1879,5 @@
     END DO
   END DO
-  ! ! RomP <<<
+  ! RomP <<<
 
   ! ***  check whether ep(inb)=0, if so, skip precipitating    ***
@@ -2289,8 +2289,8 @@
   ! ***  NE PAS UTILISER POUR L'INSTANT ***
 
-  ! !      do il=1,ncum
-  ! !        wd(il)=betad*abs(mp(il,icb(il)))*0.01*rrd*t(il,icb(il))
-  ! !     :                                  /(sigd*p(il,icb(il)))
-  ! !      enddo
+  !      do il=1,ncum
+  !        wd(il)=betad*abs(mp(il,icb(il)))*0.01*rrd*t(il,icb(il))
+  !     :                                  /(sigd*p(il,icb(il)))
+  !      enddo
 
 
@@ -2943,5 +2943,5 @@
   ! *** diagnose the in-cloud mixing ratio   ***            ! cld
   ! ***           of condensed water         ***            ! cld
-  ! ! cld
+  ! cld
 
   DO i = 1, nd ! cld
@@ -3004,5 +3004,5 @@
 END SUBROUTINE cv30_yield
 
-! !RomP >>>
+!RomP >>>
 SUBROUTINE cv30_tracer(nloc, len, ncum, nd, na, ment, sij, da, phi, phi2, &
         d1a, dam, ep, vprecip, elij, clw, epmlmmm, eplamm, icb, inb)
@@ -3062,7 +3062,7 @@
       DO i = 1, ncum
         IF (k>=icb(i) .AND. k<=inb(i) .AND. j<=inb(i)) THEN
-          ! !jyg             epm(i,j,k)=1.-(1.-ep(i,j))*clw(i,j)/elij(i,k,j)
+          !jyg             epm(i,j,k)=1.-(1.-ep(i,j))*clw(i,j)/elij(i,k,j)
           epm(i, j, k) = 1. - (1. - ep(i, j)) * clw(i, j) / max(elij(i, k, j), 1.E-16)
-          ! !
+          !
           epm(i, j, k) = max(epm(i, j, k), 0.0)
         END IF
@@ -3248,5 +3248,5 @@
         , epmax_diag)
   USE lmdz_abort_physic, ONLY: abort_physic
-  implicit none
+  IMPLICIT NONE
 
   ! On fait varier epmax en fn de la cape
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv3_routines.F90	(revision 5113)
@@ -5131,5 +5131,5 @@
                  , pbase, p, ph, tv, buoy, sig, w0,iflag &
                  , epmax_diag)
-        implicit none
+        IMPLICIT NONE
 
         ! On fait varier epmax en fn de la cape
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cv_routines.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cv_routines.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cv_routines.F90	(revision 5113)
@@ -1632,5 +1632,5 @@
   ! *** diagnose the in-cloud mixing ratio   ***            ! cld
   ! ***           of condensed water         ***            ! cld
-  ! ! cld
+  ! cld
   DO ij = 1, ncum ! cld
     DO i = 1, nd ! cld
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_1dutils.f90	(revision 5113)
@@ -1246,5 +1246,5 @@
     !   avec w=omega * dt
     !---------------------------------------------------------------
-    implicit none
+    IMPLICIT NONE
     ! arguments
     integer llm
@@ -1282,5 +1282,5 @@
     !   sans WTG rajouter une advection horizontale
     !----------------------------------------------------------------------
-    implicit none
+    IMPLICIT NONE
     include "YOMCST.h"
     !        argument
@@ -1354,5 +1354,5 @@
     !   sans WTG rajouter une advection horizontale
     !----------------------------------------------------------------------
-    implicit none
+    IMPLICIT NONE
     include "YOMCST.h"
     !        argument
@@ -1429,5 +1429,5 @@
     USE dimphy
 
-    implicit none
+    IMPLICIT NONE
 
     ! ========================================================
@@ -1477,5 +1477,5 @@
     USE dimphy
 
-    implicit none
+    IMPLICIT NONE
 
     ! ========================================================
@@ -1510,5 +1510,5 @@
     USE dimphy
 
-    implicit none
+    IMPLICIT NONE
 
     ! ========================================================
@@ -1599,5 +1599,5 @@
     USE dimphy
 
-    implicit none
+    IMPLICIT NONE
 
     ! ========================================================
@@ -1664,5 +1664,5 @@
           &, dth_mod_cas, hth_mod_cas, vth_mod_cas, mxcalc)
 
-    implicit none
+    IMPLICIT NONE
 
     include "YOMCST.h"
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_1dconv.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_1dconv.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/lmdz_old_1dconv.f90	(revision 5113)
@@ -8,5 +8,5 @@
           &       Ts, imp_fcg, ts_fcg, Tp_fcg, Turb_fcg)
 
-    implicit none
+    IMPLICIT NONE
 
     !ccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
@@ -458,5 +458,5 @@
           &, d_t_adv, d_q_adv)
     use dimphy
-    implicit none
+    IMPLICIT NONE
 
     INCLUDE "dimensions.h"
@@ -490,5 +490,5 @@
 
   SUBROUTINE copie(klevgcm, playgcm, psolgcm, file_forctl)
-    implicit none
+    IMPLICIT NONE
 
     !cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
@@ -703,5 +703,5 @@
 
   SUBROUTINE corresbis(psol)
-    implicit none
+    IMPLICIT NONE
 
     !cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_amma_read.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_amma_read.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_amma_read.F90	(revision 5113)
@@ -57,5 +57,5 @@
 
 SUBROUTINE read_1D_cases
-      implicit none
+      IMPLICIT NONE
 
       INTEGER nid,rid,ierr
@@ -176,5 +176,5 @@
 
 !program reading forcings of the AMMA case study
-      implicit none
+      IMPLICIT NONE
 
       integer ntime,nlevel
@@ -348,5 +348,5 @@
            ,vitw_amma,ht_amma,hq_amma,lat_amma,sens_amma               &
            ,vitw_prof,ht_prof,hq_prof,lat_prof,sens_prof)
-        implicit none
+        IMPLICIT NONE
 
 !---------------------------------------------------------------------------------------
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read.F90	(revision 5113)
@@ -819,5 +819,5 @@
 
 
-        implicit none
+        IMPLICIT NONE
 
 !---------------------------------------------------------------------------------------
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read2.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 5113)
@@ -80,5 +80,5 @@
 
   SUBROUTINE read_1D_cas
-    implicit none
+    IMPLICIT NONE
 
     INTEGER nid,rid,ierr
@@ -189,5 +189,5 @@
   !**********************************************************************************************
   SUBROUTINE read2_1D_cas
-    implicit none
+    IMPLICIT NONE
 
     INTEGER nid,rid,ierr
@@ -314,5 +314,5 @@
   !**********************************************************************************************
   SUBROUTINE old_read_SCM_cas
-    implicit none
+    IMPLICIT NONE
 
     INCLUDE "date_cas.h"
@@ -535,5 +535,5 @@
 
   !program reading forcing of the case study
-  implicit none
+  IMPLICIT NONE
 
   integer ntime,nlevel
@@ -650,5 +650,5 @@
 
   !program reading forcing of the case study
-  implicit none
+  IMPLICIT NONE
 
   integer ntime,nlevel
@@ -819,5 +819,5 @@
 
   !program reading forcing of the case study
-  implicit none
+  IMPLICIT NONE
 
   integer ntime,nlevel,k,t
@@ -1038,5 +1038,5 @@
 
 
-  implicit none
+  IMPLICIT NONE
 
   !---------------------------------------------------------------------------------------
@@ -1247,5 +1247,5 @@
 
 
-  implicit none
+  IMPLICIT NONE
 
   !---------------------------------------------------------------------------------------
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 5113)
@@ -89,5 +89,5 @@
   !**********************************************************************************************
   SUBROUTINE read_SCM_cas
-    implicit none
+    IMPLICIT NONE
 
     INCLUDE "date_cas.h"
@@ -329,5 +329,5 @@
 
     !program reading forcing of the case study
-    implicit none
+    IMPLICIT NONE
     INCLUDE "compar1d.h"
 
@@ -658,5 +658,5 @@
 
 
-    implicit none
+    IMPLICIT NONE
 
     !---------------------------------------------------------------------------------------
@@ -930,5 +930,5 @@
        ,dth_mod_cas,hth_mod_cas,vth_mod_cas,mxcalc)
 
-    implicit none
+    IMPLICIT NONE
 
     INCLUDE "YOMCST.h"
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5113)
@@ -3,5 +3,5 @@
      &             ,ts_toga,plev_toga,t_toga,q_toga,u_toga,v_toga,w_toga        &
      &             ,ht_toga,vt_toga,hq_toga,vq_toga)
-      implicit none
+      IMPLICIT NONE
 
 !-------------------------------------------------------------------------
@@ -65,5 +65,5 @@
 !-------------------------------------------------------------------------
       SUBROUTINE read_sandu(fich_sandu,nlev_sandu,nt_sandu,ts_sandu)
-      implicit none
+      IMPLICIT NONE
 
 !-------------------------------------------------------------------------
@@ -102,5 +102,5 @@
       SUBROUTINE read_astex(fich_astex,nlev_astex,nt_astex,div_astex,      &
      & ts_astex,ug_astex,vg_astex,ufa_astex,vfa_astex)
-      implicit none
+      IMPLICIT NONE
 
 !-------------------------------------------------------------------------
@@ -150,5 +150,5 @@
 
 
-      implicit none
+      IMPLICIT NONE
 
       integer ntime,nlevel
@@ -495,5 +495,5 @@
             nf90_inq_dimid,nf90_inquire_dimension
 
-         implicit none
+         IMPLICIT NONE
          integer nid,ttm,llm
          real*8 time(ttm)
@@ -543,5 +543,5 @@
      &         ,omega_mod,o3mmr_mod,mxcalc)
 
-       implicit none
+       IMPLICIT NONE
 
       INCLUDE "dimensions.h"
@@ -657,5 +657,5 @@
      &         ,tke_mod,o3mmr_mod,mxcalc)
 
-       implicit none
+       IMPLICIT NONE
 
       INCLUDE "dimensions.h"
@@ -776,5 +776,5 @@
      &             ,ts_rico,t_rico,q_rico,u_rico,v_rico,w_rico             &
      &             ,dth_dyn,dqh_dyn)
-      implicit none
+      IMPLICIT NONE
 
 !-------------------------------------------------------------------------
@@ -939,5 +939,5 @@
      &             ,year_ini_sandu,day_ini_sandu,nt_sandu,dt_sandu         &
      &             ,nlev_sandu,ts_sandu,ts_prof)
-        implicit none
+        IMPLICIT NONE
 
 !---------------------------------------------------------------------------------------
@@ -1014,5 +1014,5 @@
       SUBROUTINE read_armcu(fich_armcu,nlev_armcu,nt_armcu,                &
      & sens,flat,adv_theta,rad_theta,adv_qt)
-      implicit none
+      IMPLICIT NONE
 
 !-------------------------------------------------------------------------
@@ -1055,5 +1055,5 @@
      &         ,ht_mod,vt_mod,hq_mod,vq_mod,mxcalc)
  
-       implicit none
+       IMPLICIT NONE
  
       INCLUDE "dimensions.h"
@@ -1177,5 +1177,5 @@
      &         ,dt_mod_cas,ht_mod_cas,vt_mod_cas,dtrad_mod_cas,dq_mod_cas,hq_mod_cas,vq_mod_cas,mxcalc)
  
-       implicit none
+       IMPLICIT NONE
  
        INCLUDE "dimensions.h"
@@ -1336,5 +1336,5 @@
      &         ,ht_mod,hq_mod,hu_mod,hv_mod,w_mod,omega_mod,mxcalc)
  
-       implicit none
+       IMPLICIT NONE
  
        INCLUDE "dimensions.h"
@@ -1458,5 +1458,5 @@
      &             ,ufa_astex,vfa_astex,div_prof,ts_prof,ug_prof,vg_prof   &
      &             ,ufa_prof,vfa_prof)
-        implicit none
+        IMPLICIT NONE
 
 !---------------------------------------------------------------------------------------
@@ -1550,5 +1550,5 @@
      &             ,ts_prof,plev_prof,t_prof,q_prof,u_prof,v_prof,w_prof   &
      &             ,ht_prof,vt_prof,hq_prof,vq_prof)
-        implicit none
+        IMPLICIT NONE
 
 !---------------------------------------------------------------------------------------
@@ -1692,5 +1692,5 @@
      &             ,ustar_prof,psurf_prof,ug_prof,vg_prof                 &
      &             ,ht_prof,hq_prof,hu_prof,hv_prof,w_prof,omega_prof)
-        implicit none
+        IMPLICIT NONE
 
 !---------------------------------------------------------------------------------------
@@ -1805,5 +1805,5 @@
      &             ,ug_gabls4,vg_gabls4,ht_gabls4,hq_gabls4,tg_gabls4                          &
      &             ,ug_prof,vg_prof,ht_prof,hq_prof,tg_prof)
-        implicit none
+        IMPLICIT NONE
 
 !---------------------------------------------------------------------------------------
@@ -1892,5 +1892,5 @@
      &             ,nlev_armcu,fs_armcu,fl_armcu,at_armcu,rt_armcu         &
      &             ,aqt_armcu,fs_prof,fl_prof,at_prof,rt_prof,aqt_prof)
-        implicit none
+        IMPLICIT NONE
 
 !---------------------------------------------------------------------------------------
@@ -1972,5 +1972,5 @@
      &           wfls,dqtdxls,dqtdyls,dqtdtls,                             &
      &           thlpcar,tracer,nt1,nt2)
-      implicit none
+      IMPLICIT NONE
 
         integer nlev_max,kmax,kmax2,ntrac
@@ -2045,5 +2045,5 @@
      &       thlprof,qprof,uprof,vprof,wprof,omega,o3mmr)
 !======================================================================
-      implicit none
+      IMPLICIT NONE
 
         integer nlev_max,kmax
@@ -2077,5 +2077,5 @@
      &    thlprof,qvprof,qlprof,qtprof,uprof,vprof,wprof,tkeprof,o3mmr)
 !======================================================================
-      implicit none
+      IMPLICIT NONE
 
         integer nlev_max,kmax
@@ -2111,5 +2111,5 @@
      &       vprof,thetaprof,tprof,qvprof,rvprof,aprof,bprof)
 !======================================================================
-      implicit none
+      IMPLICIT NONE
 
         integer nlev_max,kmax
@@ -2172,5 +2172,5 @@
       use netcdf, ONLY: nf90_open,nf90_nowrite,nf90_noerr,nf90_strerror,nf90_inq_varid,nf90_get_var,&
             nf90_inq_dimid,nf90_inquire_dimension
-      implicit none
+      IMPLICIT NONE
 
       integer ntime,nlevel
@@ -2383,5 +2383,5 @@
             nf90_inq_dimid,nf90_inquire_dimension
 
-      implicit none
+      IMPLICIT NONE
 
       INCLUDE "YOMCST.h"
@@ -2717,5 +2717,5 @@
             nf90_inq_dimid,nf90_inquire_dimension
 
-      implicit none
+      IMPLICIT NONE
 
       integer ntime,nlevel,nsol
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/replay1d.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/replay1d.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/replay1d.F90	(revision 5113)
@@ -10,5 +10,5 @@
 
 
-      implicit none
+      IMPLICIT NONE
       INCLUDE "dimensions.h"
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/flott_gwd_rando_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/flott_gwd_rando_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/flott_gwd_rando_m.F90	(revision 5113)
@@ -3,5 +3,5 @@
 module FLOTT_GWD_rando_m
 
-  implicit none
+  IMPLICIT NONE
 
 contains
@@ -19,5 +19,5 @@
     !ONLINE:
     use dimphy, only: klon, klev
-    use assert_m, only: assert
+    use lmdz_assert, only: assert
     USE lmdz_ioipsl_getin_p, ONLY: getin_p
     USE lmdz_vertical_layers, ONLY: presnivs
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/fonte_neige_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/fonte_neige_mod.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/fonte_neige_mod.F90	(revision 5113)
@@ -16,5 +16,5 @@
 ! run_off_ter and run_off_lic are the runoff at the compressed grid knon for 
 ! land and land-ice respectively
-! Note: run_off_lic is used in mod_landice and therfore not private
+! Note: run_off_lic is used in mod_landice and therfore not PRIVATE
   REAL, ALLOCATABLE, DIMENSION(:), PRIVATE    :: run_off_ter
   !$OMP THREADPRIVATE(run_off_ter)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/global_mean.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/global_mean.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/global_mean.F90	(revision 5113)
@@ -10,5 +10,5 @@
   use lmdz_phys_mpi_data, only: is_mpi_root
   USE ioipsl
-  implicit none
+  IMPLICIT NONE
 
   real,dimension(klon),intent(in) :: field
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/grid_index.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/grid_index.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/grid_index.F90	(revision 5113)
@@ -7,5 +7,5 @@
 USE dimphy, ONLY: klon
 USE lmdz_geometry, ONLY: latitude_deg, longitude_deg
-implicit none
+IMPLICIT NONE
 real, intent(in) :: lon_deg,lat_deg
 integer :: grid_index
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/grid_noro_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/grid_noro_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/grid_noro_m.F90	(revision 5113)
@@ -7,5 +7,5 @@
 
   USE lmdz_print_control, ONLY: lunout
-  USE assert_eq_m,       ONLY: assert_eq
+  USE lmdz_assert_eq,       ONLY: assert_eq
   PRIVATE
   PUBLIC :: grid_noro, grid_noro0, read_noro
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ini_undefSTD.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ini_undefSTD.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ini_undefSTD.F90	(revision 5113)
@@ -23,7 +23,7 @@
 
   ! nout=1 !var. journaliere "day" moyenne sur tous les pas de temps
-  ! ! de la physique
+  ! de la physique
   ! nout=2 !var. mensuelle "mth" moyennee sur tous les pas de temps
-  ! ! de la physique
+  ! de la physique
   ! nout=3 !var. mensuelle "NMC" moyennee toutes les 6heures
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/inlandsis.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/inlandsis.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/inlandsis.f90	(revision 5113)
@@ -336,16 +336,16 @@
 
   data      Z0mBS0 /   0.5e-6/            ! MINimum Snow Roughness Length
-                                          ! ! for Momentum if Blowing Snow
-                                          ! ! Gallee et al. 2001 BLM 99 (19)
+                                          ! for Momentum if Blowing Snow
+                                          ! Gallee et al. 2001 BLM 99 (19)
   data      Z0m_S0/    0.00005/           ! MINimum Snow Roughness Length
-                                          ! ! MegaDunes    included
+                                          ! MegaDunes    included
   data      Z0m_S1/    0.030  /           ! MAXimum Snow Roughness Length
-                                          ! !        (Sastrugis)
+                                          !        (Sastrugis)
   ! #GL data      Z0_GIM/    0.0013/            ! Ice Min Z0 = 0.0013 m (Broeke)
-                                          ! ! Old Ice Z0 = 0.0500 m (Bruce)
-                                          ! !              0.0500 m (Smeets)
-                                          ! !              0.1200 m (Broeke)
+                                          ! Old Ice Z0 = 0.0500 m (Bruce)
+                                          !              0.0500 m (Smeets)
+                                          !              0.1200 m (Broeke)
   data      Z0_ICE/    0.0010/            ! Sea-Ice Z0 = 0.0010 m (Andreas)
-                                          ! !    (Ice Station Weddel -- ISW)
+                                          !    (Ice Station Weddel -- ISW)
   ! for aerolian erosion
   data      SblPom/ 1.27/   ! Lower Boundary Height Parameter
@@ -436,6 +436,6 @@
 
     rCd10n =  1. / 26.5 ! Vt / u*t = 26.5
-                 ! ! Budd et al. 1965, Antarct. Res. Series Fig.13
-                 ! ! ratio developped during assumed neutral conditions
+                 ! Budd et al. 1965, Antarct. Res. Series Fig.13
+                 ! ratio developped during assumed neutral conditions
 
 
@@ -554,7 +554,7 @@
         ! sss__G      =  0.27417     * gravit
 
-  ! !  ______________               _____
-  ! !  Newton-Raphson (! Iteration, BEGIN)
-  ! !  ~~~~~~~~~~~~~~               ~~~~~
+  !  ______________               _____
+  !  Newton-Raphson (! Iteration, BEGIN)
+  !  ~~~~~~~~~~~~~~               ~~~~~
         ! DO iit=1,nit
         ! sss__K      =  gravit      * r_Turb * A_Turb *za__SV(ikl)
@@ -580,16 +580,16 @@
    !      us__SV(ikl)= max(us__SV(ikl),epsi  )
    !      rCDmSV(ikl)=     us__SV(ikl)/VVa_OK
-  ! ! #AE     sss__F     =     vonkar     /rCDmSV(ikl)
+  ! #AE     sss__F     =     vonkar     /rCDmSV(ikl)
    !      ENDDO
 
-  ! !  ______________               ___
-  ! !  Newton-Raphson (! Iteration, END  )
-  ! !  ~~~~~~~~~~~~~~               ~~~
+  !  ______________               ___
+  !  Newton-Raphson (! Iteration, END  )
+  !  ~~~~~~~~~~~~~~               ~~~
 
    !      us_127      =  exp(    SblPom *log(us__SV(ikl)))
    !      us_227      =  us_127         *    us__SV(ikl)
 
-  ! !  Momentum            Turbulent Scale  u*: 0-Limit in case of no Blow. Snow
-  ! !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+  !  Momentum            Turbulent Scale  u*: 0-Limit in case of no Blow. Snow
+  !  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    !      dusuth      =  us__SV(ikl) - usthSV(ikl)       ! u* - uth*
    !      signus      =  max(sign(unun,dusuth),zero)     ! 1 <=> u* - uth* > 0
@@ -664,5 +664,5 @@
         if (is_ok_density_kotlyakov) then
             tt_tmp = TaT_SV(ikl)-TfSnow
-            ! !vv_tmp = VV10SV(ikl)
+            !vv_tmp = VV10SV(ikl)
             vv_tmp=VV__SV(ikl) ! Etienne: use wind speed at first model level instead of 10m wind
   ! + ...         [ A compromise between
@@ -1004,6 +1004,6 @@
 
         e_pRad = 2.5   *  coszSV(ikl)       ! exponential argument,
-                                            ! ! V/nIR radiation partitioning,
-                                            ! ! DR97, 2, eqn (2.53) & (2.54)
+                                            ! V/nIR radiation partitioning,
+                                            ! DR97, 2, eqn (2.53) & (2.54)
         e1pRad = 1.-exp(-e_pRad)            ! exponential, V/nIR Rad. Part.
         exdRad= 1.
@@ -1186,5 +1186,5 @@
 
       TBr_sv(ikl) =sqrt(sqrt(IRu_SV(ikl)/StefBo))      ! Brightness
-                                                       ! ! Temperature
+                                                       ! Temperature
       uts_SV(ikl) =     (HSv_sv(ikl) +HSs_sv(ikl)) & ! u*T*
             /(rhT_SV(ikl) *cp)          !
@@ -1318,5 +1318,5 @@
   ! +  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
       A_Fact      =  1.0000        ! Andreas et al., 2004, p.4
-                                   ! ! ams.confex.com/ams/pdfpapers/68601.pdf
+                                   ! ams.confex.com/ams/pdfpapers/68601.pdf
 
   ! Parameterization of z0 dependance on Temperature (C. Amory, 2017)
@@ -1341,5 +1341,5 @@
         Z0_obs = exp(coefa*TaT_SV(ikl) + coefb)
       else if (TaT_SV(ikl)>=ta2 .and. TaT_SV(ikl)<ta3) then
-        ! ! if st > 0, melting induce smooth surface
+        ! if st > 0, melting induce smooth surface
         Z0_obs = exp(coefc*TaT_SV(ikl) + coefd)
       else
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_bsn.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_bsn.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_bsn.f90	(revision 5113)
@@ -50,5 +50,5 @@
   ! +  =======
 
-  ! !DO isn = nsno,2,-1
+  !DO isn = nsno,2,-1
   DO ikl = 1,knonv
 
@@ -70,14 +70,14 @@
           /max(epsi,ro__SV(ikl,isn))
 
-    ! ! Densification of the uppermost snow layer if erosion:
+    ! Densification of the uppermost snow layer if erosion:
     if((dzweqo-dzweqn)>0                    .and. &
           dzsnSV(ikl,isn)>0                    .and. &
           ro__SV(ikl,max(1,isnoSV(ikl)))<roBdSV) then
 
-    ! !characteristic time scale for drifting snow compaction set to 24h
-    ! !linear densification rate [kg/m3/s] over 24h
+    !characteristic time scale for drifting snow compaction set to 24h
+    !linear densification rate [kg/m3/s] over 24h
     densif         = (450. - frsno) / (3600*24)
 
-    ! !Attenuation of compaction rate from 450 to 500 kg/m3
+    !Attenuation of compaction rate from 450 to 500 kg/m3
     Fac         = 1-((ro__SV(ikl,max(1,isnoSV(ikl))) &
           -roBdSV)/(500.-roBdSV))
@@ -103,5 +103,5 @@
 
   END DO
-  ! !END DO
+  !END DO
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_qsn.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_qsn.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_qsn.f90	(revision 5113)
@@ -73,7 +73,7 @@
   ! #vm real     EqSn01(knonv)                 ! Snow Energy, after Phase Change
   ! #vm real     EqSn02(knonv)                 ! Snow Energy, after Phase Change
-                                         ! !              .AND. Last Melting
+                                         !              .AND. Last Melting
   ! #e1 real     EqSn_1(knonv)                 ! Snow Energy, after Phase Change
-                                         ! !              .AND. Mass Redistr.
+                                         !              .AND. Mass Redistr.
   ! Snow/Ice (Mass) Budget
   ! ~~~~~~~~~~~~~~~~~~~~~~
@@ -160,5 +160,5 @@
   data      dz_Min/2.5e-3/                ! Minim. Snow Layer Thickness
   data      SGDmax/0.003/                 ! Maxim. Snow Grain Diameter  [m]
-                                          ! ! (Rowe et al. 1995, JGR p.16268)
+                                          ! (Rowe et al. 1995, JGR p.16268)
 
   ! +--Energy Budget (IN)
@@ -206,6 +206,6 @@
     noSnow(ikl)   = 0                   ! Nb of Layers Updater
     ispiSV(ikl)   = 0                   ! Pore Hole Close OFF Index
-                                        ! ! (assumed to be the Top of
-                                        ! !  the surimposed Ice Layer)
+                                        ! (assumed to be the Top of
+                                        !  the surimposed Ice Layer)
     zn5_SV(ikl)   = 0.
     rusnSV0(ikl)  = 0.
@@ -493,5 +493,5 @@
 
       if(isnoSV(ikl)<=1 .OR. opt_runoff_ac) rusnew = 0.
-      ! !if(ivgtSV(ikl)>=1) rusnew = 0.
+      !if(ivgtSV(ikl)>=1) rusnew = 0.
 
   ! #EU                        rusnew = 0.
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_sno_albedo.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_sno_albedo.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_sno_albedo.f90	(revision 5113)
@@ -253,6 +253,6 @@
 
       dalbeW =(0.64 - csegal  )*0.0625  ! Warren 1982, RevGeo, fig.12b
-                                        ! ! 0.0625 = 5% * 1/0.8,   p.81
-                                        ! ! 0.64   = cos(50)
+                                        ! 0.0625 = 5% * 1/0.8,   p.81
+                                        ! 0.64   = cos(50)
       dalbed =     dalbeW      *       min(1,isnoSV(ikl))
   !-------------------------------------------------------------------------
@@ -276,5 +276,5 @@
       albSn6(4:6)=albSn2
 
-      ! !snow albedo corection if wetsnow
+      !snow albedo corection if wetsnow
   ! #GL     albSn1 =  albSn1*max(0.9,(1.-1.5*eta_SV(ikl,isn)))
   ! #GL     albSn2 =  albSn2*max(0.9,(1.-1.5*eta_SV(ikl,isn)))
@@ -410,5 +410,5 @@
   ! +--Integrated Snow/Ice/Soil Albedo: Clouds Correction! Greuell & all., 1994
   ! +  --------------------------------------------------! Glob.&t Planet.Change
-                                                   ! ! (9):91-114
+                                                   ! (9):91-114
         alb1sv(ikl) = alb1sv(ikl) + 0.05 *(cld_SV(ikl)-0.5)*SIcenH &
               + dalbed      *    (1.-cld_SV(ikl))
@@ -460,7 +460,7 @@
     !AO_CK 20/02/2020
 
-    ! ! No check if coupling update since MAR and NEMO albedo are too different
+    ! No check if coupling update since MAR and NEMO albedo are too different
     ! and since MAR albedo is computed on properties that are not in NEMO
-    ! ! prescription for each time step with NEMO values
+    ! prescription for each time step with NEMO values
 
   ! #AO      if (LSmask(ikl) .eq. 0 .and. coupling_ao .eq. .TRUE.) then
@@ -511,5 +511,5 @@
       DO ikl=1,knonv
         sEX_sv(ikl,isn) = 1.0
-       ! !sEX_sv(ikl,isn) = 0.95 ! if MAR is too warm in summer
+       !sEX_sv(ikl,isn) = 0.95 ! if MAR is too warm in summer
       END DO
     END DO
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_ts2.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_ts2.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_ts2.f90	(revision 5113)
@@ -265,5 +265,5 @@
     IRs__D(ig) = dIRsdT(ig)* TsisSV(ig, isl) * 0.75                  !:
   END DO
-  ! !hj
+  !hj
   !!-----------------------------------------------------------------------
   !! 3)
@@ -370,5 +370,5 @@
       zx_qs = r2es * FOEEW(Tsf_SV(ig), zdelta) / ps__SV(ig)
       zx_qs = MIN(0.5, zx_qs)
-      ! !write(*,*)'zcor',retv*zx_qs
+      !write(*,*)'zcor',retv*zx_qs
       zcor = 1. / (1. - retv * zx_qs)
       zx_qs = zx_qs * zcor
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_tso.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_tso.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_tso.f90	(revision 5113)
@@ -372,5 +372,5 @@
   ! +  ^^^^^^^^^^^^^^^^^^^^^^^^^^^
 
-    ! !EV!isl=  min(isnoSV(1)+1,nsno)
+    !EV!isl=  min(isnoSV(1)+1,nsno)
 
     DO ikl=1,knonv
@@ -426,7 +426,7 @@
       !  sp = (pst_SV(ikl) + ptopSV) * 10.
 
-      ! !sp=ps__SV(ikl)
-      ! ! Etienne: in the formula herebelow sp should be in hPa, not
-      ! ! in Pa so I divide by 100.
+      !sp=ps__SV(ikl)
+      ! Etienne: in the formula herebelow sp should be in hPa, not
+      ! in Pa so I divide by 100.
       sp=ps__SV(ikl)/100.
       psat_ice = 6.1070 * exp(6150. *(1./273.16 - &
@@ -476,5 +476,5 @@
   !                                                              ! by Atm.Conten
   ! #??.        *max(0,sign(1.,qsatsg(ikl)-QaT_SV(ikl))))        ! NO Limitation
-                                                           ! ! of Downw.Flux
+                                                           ! of Downw.Flux
         END DO                                             !
       DO itEuBk=1,2                                        !
@@ -522,5 +522,5 @@
       ist__w=     1-ist__s                                 ! 1 if    H2O
       d__eta     =  eta_SV(ikl,isl)-etaNEW(ikl)            !
-      ! ! latent heat flux computation
+      ! latent heat flux computation
       HL___D(ikl)=( ist__s *ro_Wat *dz_dSV(0) & ! Soil Contrib.
             *(etaNEW(ikl)    -etaBAK(ikl)) / dt__SV & !
@@ -623,6 +623,6 @@
   ! #EU      TsisSV(ikl,isl)  = max(TaT_SV(ikl)-15.,TsisSV(ikl,isl))
 
-      ! !XF 18/11/2018 to avoid ST reaching 70°C!!
-      ! !It is an error compensation but does not work over tundra
+      !XF 18/11/2018 to avoid ST reaching 70°C!!
+      !It is an error compensation but does not work over tundra
 
       endif
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_zsn.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_zsn.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/sisvat_zsn.f90	(revision 5113)
@@ -140,5 +140,5 @@
   DO ikl=1,knonv
   DO   isn=1,isnoSV(ikl)-3 ! no agregation of 3 first snowlayers
-                           ! ! XF 04/07/2019
+                           ! XF 04/07/2019
 
       isno_n    =             isnoSV(ikl)-isn+1     ! Snow Normal.Profile
@@ -526,5 +526,5 @@
   DO ikl=1,knonv
     DO isn=1,isnoSV(ikl)-3 ! no agregation of 3 first snowlayers
-                           ! ! XF 04/07/2019
+                           ! XF 04/07/2019
 
       isno_n    =             isnoSV(ikl)-isn+1     ! Snow Normal.Profile
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/surf_inlandsis_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/surf_inlandsis_mod.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/surf_inlandsis_mod.F90	(revision 5113)
@@ -783,5 +783,5 @@
         min_period = 1800. ! en secondes
         dalph_soil = 2.    ! rapport entre les epaisseurs de 2 couches succ.
-        ! !$OMP MASTER
+        !$OMP MASTER
         !     IF (is_mpi_root) THEN
         !        OPEN(99,file='soil.def',status='old',form='formatted',iostat=ierr)
@@ -795,5 +795,5 @@
         !        END IF
         !     ENDIF
-        ! !$OMP END MASTER
+        !$OMP END MASTER
         !     CALL bcast(min_period)
         !     CALL bcast(dalph_soil)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/iophy.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/iophy.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/iophy.F90	(revision 5113)
@@ -4,6 +4,6 @@
 MODULE iophy
 
-! abd  REAL,private,allocatable,DIMENSION(:),save :: io_lat
-! abd  REAL,private,allocatable,DIMENSION(:),save :: io_lon
+! abd  REAL,PRIVATE,allocatable,DIMENSION(:),save :: io_lat
+! abd  REAL,PRIVATE,allocatable,DIMENSION(:),save :: io_lon
   REAL,ALLOCATABLE,DIMENSION(:),SAVE :: io_lat
   REAL,ALLOCATABLE,DIMENSION(:),SAVE :: io_lon
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ecrit.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ecrit.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/iotd_ecrit.F90	(revision 5113)
@@ -24,5 +24,5 @@
       USE netcdf, ONLY: nf90_put_var,nf90_inq_varid,nf90_enddef,nf90_redef,nf90_sync,nf90_noerr,&
               nf90_float,nf90_def_var
-      implicit none
+      IMPLICIT NONE
 
 ! Commons
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/isccp_cloud_types.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/isccp_cloud_types.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/isccp_cloud_types.F90	(revision 5113)
@@ -38,42 +38,42 @@
 
   INTEGER seed(npoints) !  seed value for random number generator
-  ! !  ( see Numerical Recipes Chapter 7)
-  ! !  It is recommended that the seed is set
-  ! !  to a different value for each model
-  ! !  gridbox it is called on, as it is
-  ! !  possible that the choice of the samec
-  ! !  seed value every time may introduce some
-  ! !  statistical bias in the results, particularly
-  ! !  for low values of NCOL.
+  !  ( see Numerical Recipes Chapter 7)
+  !  It is recommended that the seed is set
+  !  to a different value for each model
+  !  gridbox it is called on, as it is
+  !  possible that the choice of the samec
+  !  seed value every time may introduce some
+  !  statistical bias in the results, particularly
+  !  for low values of NCOL.
 
   REAL pfull(npoints, nlev) !  pressure of full model levels (Pascals)
-  ! !  pfull(npoints,1)    is    top level of model
-  ! !  pfull(npoints,nlev) is bottom level of model
+  !  pfull(npoints,1)    is    top level of model
+  !  pfull(npoints,nlev) is bottom level of model
 
   REAL phalf(npoints, nlev+1) !  pressure of half model levels (Pascals)
-  ! !  phalf(npoints,1)    is    top       of model
-  ! !  phalf(npoints,nlev+1) is the surface pressure
+  !  phalf(npoints,1)    is    top       of model
+  !  phalf(npoints,nlev+1) is the surface pressure
 
   REAL qv(npoints, nlev) !  water vapor specific humidity (kg vapor/ kg air)
-  ! !         on full model levels
+  !         on full model levels
 
   REAL cc(npoints, nlev) !  input cloud cover in each model level (fraction)
-  ! !  NOTE:  This is the HORIZONTAL area of each
-  ! !         grid box covered by clouds
+  !  NOTE:  This is the HORIZONTAL area of each
+  !         grid box covered by clouds
 
   REAL conv(npoints, nlev) !  input convective cloud cover in each model level (fraction)
-  ! !  NOTE:  This is the HORIZONTAL area of each
-  ! !         grid box covered by convective clouds
+  !  NOTE:  This is the HORIZONTAL area of each
+  !         grid box covered by convective clouds
 
   REAL dtau_s(npoints, nlev) !  mean 0.67 micron optical depth of stratiform
-  ! !  clouds in each model level
-  ! !  NOTE:  this the cloud optical depth of only the
-  ! !         cloudy part of the grid box, it is not weighted
-  ! !         with the 0 cloud optical depth of the clear
-  ! !         part of the grid box
+  !  clouds in each model level
+  !  NOTE:  this the cloud optical depth of only the
+  !         cloudy part of the grid box, it is not weighted
+  !         with the 0 cloud optical depth of the clear
+  !         part of the grid box
 
   REAL dtau_c(npoints, nlev) !  mean 0.67 micron optical depth of convective
-  ! !  clouds in each
-  ! !  model level.  Same note applies as in dtau_s.
+  !  clouds in each
+  !  model level.  Same note applies as in dtau_s.
 
   INTEGER overlap !  overlap type
@@ -85,22 +85,22 @@
 
   INTEGER top_height !  1 = adjust top height using both a computed
-  ! !  infrared brightness temperature and the visible
-  ! !  optical depth to adjust cloud top pressure. Note
-  ! !  that this calculation is most appropriate to compare
-  ! !  to ISCCP data during sunlit hours.
-  ! !  2 = do not adjust top height, that is cloud top
-  ! !  pressure is the actual cloud top pressure
-  ! !  in the model
-  ! !  3 = adjust top height using only the computed
-  ! !  infrared brightness temperature. Note that this
-  ! !  calculation is most appropriate to compare to ISCCP
-  ! !  IR only algortihm (i.e. you can compare to nighttime
-  ! !  ISCCP data with this option)
+  !  infrared brightness temperature and the visible
+  !  optical depth to adjust cloud top pressure. Note
+  !  that this calculation is most appropriate to compare
+  !  to ISCCP data during sunlit hours.
+  !  2 = do not adjust top height, that is cloud top
+  !  pressure is the actual cloud top pressure
+  !  in the model
+  !  3 = adjust top height using only the computed
+  !  infrared brightness temperature. Note that this
+  !  calculation is most appropriate to compare to ISCCP
+  !  IR only algortihm (i.e. you can compare to nighttime
+  !  ISCCP data with this option)
 
   REAL tautab(0:255) !  ISCCP table for converting count value to
-  ! !  optical thickness
+  !  optical thickness
 
   INTEGER invtau(-20:45000) !  ISCCP table for converting optical thickness
-  ! !  to count value
+  !  to count value
 
   ! The following input variables are used only if top_height = 1 or
@@ -111,9 +111,9 @@
   REAL at(npoints, nlev) !  temperature in each model level (K)
   REAL dem_s(npoints, nlev) !  10.5 micron longwave emissivity of stratiform
-  ! !  clouds in each
-  ! !  model level.  Same note applies as in dtau_s.
+  !  clouds in each
+  !  model level.  Same note applies as in dtau_s.
   REAL dem_c(npoints, nlev) !  10.5 micron longwave emissivity of convective
-  ! !  clouds in each
-  ! !  model level.  Same note applies as in dtau_s.
+  !  clouds in each
+  !  model level.  Same note applies as in dtau_s.
   ! IM reg.dyn BEG
   REAL t1, t2
@@ -133,20 +133,20 @@
 
   REAL fq_isccp(npoints, 7, 7) !  the fraction of the model grid box covered by
-  ! !  each of the 49 ISCCP D level cloud types
+  !  each of the 49 ISCCP D level cloud types
 
   REAL totalcldarea(npoints) !  the fraction of model grid box columns
-  ! !  with cloud somewhere in them.  This should
-  ! !  equal the sum over all entries of fq_isccp
-
-
-  ! ! The following three means are averages over the cloudy areas only.  If
+  !  with cloud somewhere in them.  This should
+  !  equal the sum over all entries of fq_isccp
+
+
+  ! The following three means are averages over the cloudy areas only.  If
   ! no
-  ! ! clouds are in grid box all three quantities should equal zero.
+  ! clouds are in grid box all three quantities should equal zero.
 
   REAL meanptop(npoints) !  mean cloud top pressure (mb) - linear averaging
-  ! !  in cloud top pressure.
+  !  in cloud top pressure.
 
   REAL meantaucld(npoints) !  mean optical thickness
-  ! !  linear averaging in albedo performed.
+  !  linear averaging in albedo performed.
 
   REAL boxtau(npoints, ncol) !  optical thickness in each column
@@ -162,14 +162,14 @@
 
   REAL frac_out(npoints, ncol, nlev) ! boxes gridbox divided up into
-  ! ! Equivalent of BOX in original version, but
-  ! ! indexed by column then row, rather than
-  ! ! by row then column
+  ! Equivalent of BOX in original version, but
+  ! indexed by column then row, rather than
+  ! by row then column
 
   REAL tca(npoints, 0:nlev) ! total cloud cover in each model level (fraction)
-  ! ! with extra layer of zeroes on top
-  ! ! in this version this just contains the values input
-  ! ! from cc but with an extra level
+  ! with extra layer of zeroes on top
+  ! in this version this just contains the values input
+  ! from cc but with an extra level
   REAL cca(npoints, nlev) ! convective cloud cover in each model level (fraction)
-  ! ! from conv
+  ! from conv
 
   REAL threshold(npoints, ncol) ! pointer to position in gridbox
@@ -180,9 +180,9 @@
 
   REAL threshold_min(npoints, ncol) ! minimum value to define range in with new threshold
-  ! ! is chosen
+  ! is chosen
 
   REAL dem(npoints, ncol), bb(npoints) !  working variables for 10.5 micron longwave
-  ! !  emissivity in part of
-  ! !  gridbox under consideration
+  !  emissivity in part of
+  !  gridbox under consideration
 
   REAL ran(npoints) ! vector of random numbers
@@ -203,5 +203,5 @@
   INTEGER levmatch(npoints, ncol)
 
-  ! !variables needed for water vapor continuum absorption
+  !variables needed for water vapor continuum absorption
   REAL fluxtop_clrsky(npoints), trans_layers_above_clrsky(npoints)
   REAL taumin(npoints)
@@ -226,7 +226,7 @@
   REAL boxarea
   INTEGER debug ! set to non-zero value to print out inputs
-  ! ! with step debug
+  ! with step debug
   INTEGER debugcol ! set to non-zero value to print out column
-  ! ! decomposition with step debugcol
+  ! decomposition with step debugcol
 
   INTEGER index1(npoints), num1, jj
@@ -1410,5 +1410,5 @@
           ! end if
 
-          ! !determine cloud top pressure category
+          !determine cloud top pressure category
           ! if (    ptop(j,ibox) .gt. 0.
           ! &          .and.ptop(j,ibox) .lt. 180.) then
@@ -1442,5 +1442,5 @@
           ! iw(j) = int((w(j)-wmin)/pas_w) +1
           ! pctj(itau(j),ipres(j),iw(j))=.FALSE.
-          ! !update frequencies W500
+          !update frequencies W500
           ! if (pct_ocean(j)) then
           ! if (ipres(j) .gt. 0.and.itau(j) .gt. 0) then
@@ -1537,5 +1537,5 @@
   ! do j=1,npoints,debugcol
 
-  ! !produce character output
+  !produce character output
   ! do ilev=1,nlev
   ! do ibox=1,ncol
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_exchange_coeff.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_exchange_coeff.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_exchange_coeff.F90	(revision 5113)
@@ -1,5 +1,5 @@
 module lmdz_atke_exchange_coeff
 
-implicit none
+IMPLICIT NONE
 
 contains 
@@ -59,5 +59,5 @@
 !!-------------------------------------------------------------------------------------------------------------
 
-implicit none
+IMPLICIT NONE
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_turbulence_ini.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_turbulence_ini.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_atke_turbulence_ini.F90	(revision 5113)
@@ -1,5 +1,5 @@
 MODULE lmdz_atke_turbulence_ini
 
-  implicit none
+  IMPLICIT NONE
 
   ! declaration of constants and parameters
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_blowing_snow_ini.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_blowing_snow_ini.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_blowing_snow_ini.F90	(revision 5113)
@@ -1,5 +1,5 @@
 module lmdz_blowing_snow_ini
 
-implicit none
+IMPLICIT NONE
 
    real, save, protected :: RCPD, RV, RLSTT, RLVTT, RLMLT, RVTMP2, RTT,RD,RG, RPI
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_blowing_snow_sublim_sedim.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_blowing_snow_sublim_sedim.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_blowing_snow_sublim_sedim.F90	(revision 5113)
@@ -15,5 +15,5 @@
 USE lmdz_lscp_tools, ONLY: calc_qsat_ecmwf
 
-implicit none
+IMPLICIT NONE
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_atke.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_atke.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_atke.F90	(revision 5113)
@@ -3,5 +3,5 @@
 USE lmdz_atke_exchange_coeff, ONLY:  atke_compute_km_kh
 
-implicit none
+IMPLICIT NONE
 
 
@@ -18,5 +18,5 @@
 USE phys_local_var_mod, ONLY: tke_shear, tke_buoy, tke_trans
 
-implicit none
+IMPLICIT NONE
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_blowing_snow.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_blowing_snow.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_blowing_snow.F90	(revision 5113)
@@ -7,5 +7,5 @@
 
 use lmdz_blowing_snow_sublim_sedim, ONLY: blowing_snow_sublim_sedim
-implicit none
+IMPLICIT NONE
 
 !INPUT
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloud_optics_prop.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloud_optics_prop.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloud_optics_prop.F90	(revision 5113)
@@ -509,7 +509,7 @@
   ! --calculation of cloud properties with cloud overlap
   ! choix de l'hypothese de recouvrement nuageuse via radopt.h (IM, 19.07.2016)
-  ! !novlp=1: max-random
-  ! !novlp=2: maximum
-  ! !novlp=3: random
+  !novlp=1: max-random
+  !novlp=2: maximum
+  !novlp=3: random
 
 
@@ -659,5 +659,5 @@
     ENDDO ! loop over i
 
-    ! ! Convective and Stratiform Cloud Droplet Effective Radius (REFFCLWC
+    ! Convective and Stratiform Cloud Droplet Effective Radius (REFFCLWC
     ! REFFCLWS)
     DO i = 1, klon
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloudth_ini.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloudth_ini.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloudth_ini.F90	(revision 5113)
@@ -13,5 +13,5 @@
 
 use lmdz_ioipsl_getin_p, ONLY: getin_p
-implicit none
+IMPLICIT NONE
 integer, intent(in) :: iflag_cloudth_vert_in,iflag_ratqs_in
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_tools.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_tools.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_tools.F90	(revision 5113)
@@ -499,5 +499,5 @@
            END IF ! Enough TKE
 
-        END IF ! ! MPC temperature
+        END IF ! MPC temperature
 
      END IF ! cldfra
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_main.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_main.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_main.F90	(revision 5113)
@@ -18,5 +18,5 @@
 USE lmdz_ratqs_multi,   ONLY: ratqs_inter, ratqs_oro, ratqs_hetero, ratqs_tke
 
-implicit none
+IMPLICIT NONE
 
 !========================================================================
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_multi.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_multi.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_ratqs_multi.F90	(revision 5113)
@@ -34,5 +34,5 @@
 USE lmdz_thermcell_dq,  ONLY: thermcell_dq
 
-implicit none
+IMPLICIT NONE
 
 !========================================================================
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dq.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dq.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dq.F90	(revision 5113)
@@ -7,5 +7,5 @@
     USE lmdz_abort_physic, ONLY: abort_physic
 
-    implicit none
+    IMPLICIT NONE
 
     !=======================================================================
@@ -161,5 +161,5 @@
     USE lmdz_print_control, ONLY: prt_level
     USE lmdz_abort_physic, ONLY: abort_physic
-    implicit none
+    IMPLICIT NONE
 
     !=======================================================================
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dtke.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dtke.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dtke.F90	(revision 5113)
@@ -5,5 +5,5 @@
              rg,pplev,tke)
       USE lmdz_print_control, ONLY: prt_level
-      implicit none
+      IMPLICIT NONE
 
 !=======================================================================
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dv2.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dv2.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_dv2.F90	(revision 5113)
@@ -6,5 +6,5 @@
       ,u,v,du,dv,ua,va,lev_out)
       USE lmdz_print_control, ONLY: prt_level,lunout
-      implicit none
+      IMPLICIT NONE
 
 !=======================================================================
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_main.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_main.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_main.F90	(revision 5113)
@@ -868,5 +868,5 @@
           therm_tke_max)                                ! out
     USE lmdz_thermcell_ini, ONLY: prt_level
-    implicit none
+    IMPLICIT NONE
 
     !=======================================================================
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_qsat.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_qsat.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_qsat.F90	(revision 5113)
@@ -3,5 +3,5 @@
 
 SUBROUTINE thermcell_qsat(klon,active,pplev,ztemp,zqta,zqsat)
-implicit none
+IMPLICIT NONE
 
   INCLUDE "YOMCST.h"
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/o3_chem_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/o3_chem_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/o3_chem_m.F90	(revision 5113)
@@ -4,5 +4,5 @@
   IMPLICIT none
 
-  private o3_prod
+  PRIVATE o3_prod
 
 contains
@@ -17,5 +17,5 @@
     ! Index "(i, :)" is for longitude "rlon(i)", latitude "rlat(i)".
 
-    use assert_m, only: assert
+    use lmdz_assert, only: assert
     use dimphy, only: klon
     use regr_pr_comb_coefoz_m, only: c_Mob, a4_mass, a2, r_het_interm
@@ -116,5 +116,5 @@
 
     use regr_pr_comb_coefoz_m, only: a6_mass
-    use assert_m, only: assert
+    use lmdz_assert, only: assert
     use dimphy, only: klon
     use lmdz_grid_phy, only: nbp_lev
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/output_physiqex_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/output_physiqex_mod.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/output_physiqex_mod.F90	(revision 5113)
@@ -19,5 +19,5 @@
 
 
-implicit none
+IMPLICIT NONE
 logical, intent(in) :: debut
 real, intent(in) :: pdtphys,zjulian
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ozonecm_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ozonecm_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ozonecm_m.F90	(revision 5113)
@@ -22,5 +22,5 @@
 
     USE dimphy, only: klon, klev
-    use assert_m, only: assert
+    use lmdz_assert, only: assert
 
     REAL, INTENT (IN) :: rlat(:) ! (klon)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phyaqua_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phyaqua_mod.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phyaqua_mod.F90	(revision 5113)
@@ -601,5 +601,5 @@
       ierr = nf90_put_att(nid, nf90_global, 'title', &
               'Fichier conditions aux limites')
-      ! !        ierr = nf90_def_dim (nid, "points_physiques", klon, ndim)
+      !        ierr = nf90_def_dim (nid, "points_physiques", klon, ndim)
       ierr = nf90_def_dim(nid, 'points_physiques', klon_glo, ndim)
       ierr = nf90_def_dim(nid, 'time', nf90_unlimited, ntim)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5113)
@@ -23,5 +23,5 @@
     USE add_phys_tend_mod, ONLY: add_pbl_tend, add_phys_tend, diag_phys_tend, prt_enerbil, &
             fl_ebil, fl_cor_ebil
-    USE assert_m, ONLY: assert
+    USE lmdz_assert, ONLY: assert
     USE change_srf_frac_mod
     USE conf_phys_m, ONLY: conf_phys
@@ -600,5 +600,5 @@
 
     !      REAL,allocatable,save :: run_off_lic_0(:)
-    ! !$OMP THREADPRIVATE(run_off_lic_0)
+    !$OMP THREADPRIVATE(run_off_lic_0)
     !ym      SAVE run_off_lic_0
     !KE43
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/press_coefoz_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/press_coefoz_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/press_coefoz_m.F90	(revision 5113)
@@ -2,5 +2,5 @@
 module press_coefoz_m
 
-  implicit none
+  IMPLICIT NONE
 
   real, allocatable, save:: plev(:)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/radlwsw_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/radlwsw_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/radlwsw_m.F90	(revision 5113)
@@ -48,5 +48,5 @@
     ! Modules necessaires
     USE DIMPHY
-    USE assert_m, ONLY: assert
+    USE lmdz_assert, ONLY: assert
     USE infotrac_phy, ONLY: type_trac
     USE lmdz_write_field_phy
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosolstrato.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosolstrato.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/readaerosolstrato.F90	(revision 5113)
@@ -18,5 +18,5 @@
   USE lmdz_xios
   USE lmdz_abort_physic, ONLY: abort_physic
-  implicit none
+  IMPLICIT NONE
 
   include "YOMCST.h"
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/regr_horiz_time_climoz_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/regr_horiz_time_climoz_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/regr_horiz_time_climoz_m.F90	(revision 5113)
@@ -57,5 +57,5 @@
     !     Attribute "missing_value" or "_FillValue" must be present in input file.
     !-------------------------------------------------------------------------------
-    USE assert_m, ONLY: assert
+    USE lmdz_assert, ONLY: assert
     USE cal_tools_m, ONLY: year_len, mid_month
     !!  USE control_mod,        ONLY: anneeref
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/regr_lat_time_coefoz_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/regr_lat_time_coefoz_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/regr_lat_time_coefoz_m.F90	(revision 5113)
@@ -4,7 +4,7 @@
   ! Author: Lionel GUEZ
 
-  implicit none
-
-  private
+  IMPLICIT NONE
+
+  PRIVATE
   public regr_lat_time_coefoz
 
@@ -241,5 +241,5 @@
 
     use lmdz_grid_phy, ONLY: nbp_lat
-    use assert_eq_m, only: assert_eq
+    use lmdz_assert_eq, only: assert_eq
 
     use netcdf95, only: nf95_create, nf95_def_dim, nf95_def_var, &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_comb_coefoz_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_comb_coefoz_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_comb_coefoz_m.F90	(revision 5113)
@@ -2,5 +2,5 @@
 module regr_pr_comb_coefoz_m
 
-  implicit none
+  IMPLICIT NONE
 
   ! The five module variables declared here are on the partial
@@ -73,5 +73,5 @@
     use netcdf95, only: nf95_open, nf95_close
     use netcdf, only: nf90_nowrite
-    use assert_m, only: assert
+    use lmdz_assert, only: assert
     use dimphy, only: klon
     use lmdz_phys_mpi_data, only: is_mpi_root
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_int_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_int_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_int_m.F90	(revision 5113)
@@ -4,5 +4,5 @@
   ! Author: Lionel GUEZ
 
-  implicit none
+  IMPLICIT NONE
 
 contains
@@ -26,5 +26,5 @@
     use dimphy, only: klon
     use netcdf95, only: nf95_inq_varid, nf95_get_var
-    use assert_m, only: assert
+    use lmdz_assert, only: assert
     use regr_lint_m, only: regr_lint
     use lmdz_phys_mpi_data, only: is_mpi_root
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_o3_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_o3_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_o3_m.F90	(revision 5113)
@@ -2,5 +2,5 @@
 module regr_pr_o3_m
 
-  implicit none
+  IMPLICIT NONE
 
 contains
@@ -27,5 +27,5 @@
     use netcdf95, only: nf95_open, nf95_close, nf95_inq_varid, nf95_get_var
     use netcdf, only:  nf90_nowrite
-    use assert_m, only: assert
+    use lmdz_assert, only: assert
     use regr_conserv_m, only: regr_conserv
     use press_coefoz_m, only: press_in_edg
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_time_av_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_time_av_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/regr_pr_time_av_m.F90	(revision 5113)
@@ -116,6 +116,6 @@
             nf95_inq_dimid, nf95_inquire_dimension, nf95_get_var
     USE netcdf, ONLY: nf90_inq_varid, nf90_noerr
-    USE assert_m, ONLY: assert
-    USE assert_eq_m, ONLY: assert_eq
+    USE lmdz_assert, ONLY: assert
+    USE lmdz_assert_eq, ONLY: assert_eq
     !!  USE comvert_mod,    ONLY: scaleheight
     USE interpolation, ONLY: locate
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/simu_airs.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/simu_airs.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/simu_airs.F90	(revision 5113)
@@ -4,5 +4,5 @@
   USE lmdz_abort_physic, ONLY: abort_physic
 
-  implicit none
+  IMPLICIT NONE
 
   REAL, PARAMETER :: tau_thresh = 0.05 ! seuil nuages detectables
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/stratosphere_mask.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/stratosphere_mask.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/stratosphere_mask.F90	(revision 5113)
@@ -111,5 +111,5 @@
 ! reference: Reichler, T., M. Dameris, and R. Sausen (GRL, 10.1029/2003GL018240, 2003)
 
-implicit none
+IMPLICIT NONE
 
 include "YOMCST.h"
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/tilft43.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/tilft43.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/tilft43.F90	(revision 5113)
@@ -13,12 +13,12 @@
 
   ! -- sb:
-  ! !      CPD=1005.7
-  ! !      CPV=1870.0
-  ! !      CL=4190.0
-  ! !      RV=461.5
-  ! !      RD=287.04
-  ! !      LV0=2.501E6
-  ! !      G=9.8
-  ! !      ROWL=1000.0
+  !      CPD=1005.7
+  !      CPV=1870.0
+  !      CL=4190.0
+  !      RV=461.5
+  !      RD=287.04
+  !      LV0=2.501E6
+  !      G=9.8
+  !      ROWL=1000.0
   ! ajouts:
   include "YOMCST.h"
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/tropopause_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/tropopause_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/tropopause_m.F90	(revision 5113)
@@ -12,6 +12,6 @@
 
 !-------------------------------------------------------------------------------
-  USE assert_m,     ONLY: assert
-  USE assert_eq_m,  ONLY: assert_eq
+  USE lmdz_assert,     ONLY: assert
+  USE lmdz_assert_eq,  ONLY: assert_eq
   USE dimphy,       ONLY: klon, klev
   USE lmdz_geometry, ONLY: latitude_deg, longitude_deg
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/undefSTD.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/undefSTD.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/undefSTD.F90	(revision 5113)
@@ -22,7 +22,7 @@
 
   ! nout=1 !var. journaliere "day" moyenne sur tous les pas de temps
-  ! ! de la physique
+  ! de la physique
   ! nout=2 !var. mensuelle "mth" moyennee sur tous les pas de temps
-  ! ! de la physique
+  ! de la physique
   ! nout=3 !var. mensuelle "NMC" moyennee toutes les ecrit_hf
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/vdif_kcay.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/vdif_kcay.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/vdif_kcay.F90	(revision 5113)
@@ -598,5 +598,5 @@
     ! PRINT*,'Q2q20 ',(q2(1,ilev),ilev=1,10)
     ! PRINT*,'Q2km0 ',(km(1,ilev),ilev=1,10)
-    ! ! C'est quoi ca qu'etait dans l'original???
+    ! C'est quoi ca qu'etait dans l'original???
     ! do igrid=1,ngrid
     ! q2(igrid,1)=10.
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/yamada_ini_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/yamada_ini_mod.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/yamada_ini_mod.F90	(revision 5113)
@@ -4,5 +4,5 @@
 ! peut on passer une fonction du module au code.
 
-implicit none
+IMPLICIT NONE
 
   LOGICAL :: new_yamada4
